curl --request GET \
--url https://api.byteful.com/1.0/public/user/country/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/country/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/country/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"continent_id": "eu",
"country_alias": "fr",
"country_id": "fr",
"country_is_european_union": true,
"country_name": "France",
"country_node_count": 1234
}
],
"item_count": 1,
"message": "Country search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Search Country
Search Country entries using various filters.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Unique two-letter identifier of the Country
Name of the Country
Identifier of the Continent where the Country is located
Boolean flag indicating if the Country is a member of the European Union
Alias or alternative name for the Country
The current number of online nodes in the Country
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
Successful Country search
Country search was successful.
Array of Country items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Country items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Country items returned per page.
Total of Country items that match the search filter.

